

<template>
  <div class='about'>
    <h1>This is a test page</h1>
    <!-- <div v-for=' post in posts'>
      <h3>{{ post.title }}</h3>
    </div> -->
    <vue-editor v-model="content"></vue-editor>
  </div>
</template>

<script>
/* eslint-disable */
import { VueEditor } from 'vue2-editor';


export default {
  data: () => (
    {
      posts: [],
      content: '<h1>Some initial content</h1>',
    }
  ),

  components: {
    VueEditor
  },

  mounted() {
    this.getPosts()
  },

  methods: {
    getPosts() {

      this.axios.get(this.$baseUrl + '/posts').then(res => {
        this.posts = res.data;
      }).catch(this.$handleError);

    },
  },
};
</script>


<style lang='scss' scoped>
  .about {
    h1 {
      color: red;
    }
  }
</style>
